--- ./del_partition.c.00	2000-10-17 11:24:51.000000000 -0700
+++ ./del_partition.c	2006-08-15 14:06:21.000000000 -0700
@@ -27,7 +27,7 @@
 
 int del_partition( PedDevice *dev, int npart)
 {
-	sprintf (ptrb,_("Are you sure that you del %s%-2d partition?"),
+	sprintf (ptrb,_("Are you sure you want to delete %s%-2d partition?"),
 			dev->path, npart);
 
 	if(ped_exception_throw (PED_EXCEPTION_INFORMATION,
--- ./main.c.00	2000-11-14 04:04:16.000000000 -0800
+++ ./main.c	2006-08-15 14:17:27.000000000 -0700
@@ -191,7 +191,7 @@
 			if (item->part==-1){
 				ped_exception_throw(PED_EXCEPTION_INFORMATION,
 						PED_EXCEPTION_OK,
-						_("A Hard disk, can't edit, select a partition or add a new partition"));
+						_("A Hard disk can't be edited. Select a partition or add a new partition"));
 				ped_exception_catch();
 
 			}else{
@@ -209,7 +209,7 @@
 			if(item->part==-1){
 				ped_exception_throw(PED_EXCEPTION_INFORMATION,
 						PED_EXCEPTION_OK,
-						_("Can't del a hard disk, if you want del, remove it from equipment ;-)"));
+						_("Can't delete a hard disk. If you want del, remove it from equipment ;-)"));
 				ped_exception_catch();
 			}else{
 				del_partition(ped_device_get(item->dev),
@@ -221,7 +221,7 @@
 			if (item->part==-1){
 				ped_exception_throw(PED_EXCEPTION_INFORMATION,
 						PED_EXCEPTION_OK,
-						_("Please, select the partition to copy,I can't copy the whole disk"));
+						_("Please, select the partition to copy. I can't copy the whole disk"));
 				ped_exception_catch();
 			}else{
 				copy_partition(ped_device_get(item->dev),
@@ -252,7 +252,7 @@
 	newtInit();
 	newtCls();
 
-	newtDrawRootText(0,0,_("Debian Instalation"));
+	newtDrawRootText(0,0,_("NParted Disk Partitioner"));
 #if defined(VERSION) && defined(PACKAGE)
 	sprintf(ptrb,_("%s v.%s"),PACKAGE,VERSION);
 #else
--- ./utils.c.00	2000-11-14 04:04:47.000000000 -0800
+++ ./utils.c	2006-08-15 14:19:57.000000000 -0700
@@ -59,7 +59,7 @@
 	p=malloc(size);
 	if(p==NULL){	
 		ped_exception_throw(PED_EXCEPTION_FATAL, 
-			PED_EXCEPTION_OK,_("I can't malloc, abort")); 
+			PED_EXCEPTION_OK,_("Unable to malloc, aborting")); 
 			ped_exception_catch(); 
 		exit(-1); 
 	}
--- ./add_partition.c.00	2000-11-14 04:02:17.000000000 -0800
+++ ./add_partition.c	2006-08-15 13:35:27.000000000 -0700
@@ -64,14 +64,14 @@
 			}
 		}
 		/* esto ya es un poco ms chungo,hay que sacar a pelo los trozos
-		 * libres elinando del pedazo de la particion extendida los trozos
+		 * libres eliminando del pedazo de la particion extendida los trozos
 		 * que ya son particiones lgicas*/
 		if(part->type==PED_PARTITION_EXTENDED &&part->num!=-1){
 			
 			if (extend!=NULL){
 				ped_exception_throw(PED_EXCEPTION_ERROR,
 						PED_EXCEPTION_OK,
-						_("Can't have two parts extended in one disk"));
+						_("Can't create two extended partitions on one disk"));
 				ped_exception_catch();
 				goto error_disk_close;	
 			}
@@ -97,7 +97,7 @@
 			while (walk!=NULL){
 
 #ifdef DEBUG_NPARTED
-				sprintf(ptrb,"miando si (%Ld,%Ld) est dentro de (%Ld,%Ld)",
+				sprintf(ptrb,"mirando si (%Ld,%Ld) est dentro de (%Ld,%Ld)",
 						part->geom.start,part->geom.end,walk->start,walk->end);
 				ped_exception_throw(PED_EXCEPTION_ERROR,
 						PED_EXCEPTION_OK,
@@ -116,7 +116,7 @@
 					new->start=part->geom.end+64;
 					new->end=walk->end;
 					walk->end=part->geom.start-1;
-					/* introucimos en la lista general */
+					/* introducimos en la lista general */
 
 					new->next=walk->next;
 					walk->next=new;
@@ -211,7 +211,7 @@
 
 	do_list_free(dev, free_list);
 	grow=newtCheckbox(mainwin_size.width-42,2,_("Growable"),' ',NULL,NULL);
-	dofs=newtCheckbox(mainwin_size.width-42,4,_("Do fyle sistem"),' ',NULL,NULL);
+	dofs=newtCheckbox(mainwin_size.width-42,4,_("Create file system"),' ',NULL,NULL);
 	sel_ptype=newtCompactButton(mainwin_size.width-42,8,_("Select partition type"));
 	ptype=newtLabel(mainwin_size.width-15,8,"Primary");
 	part_type='p';
@@ -234,7 +234,7 @@
 			newtLabel(mainwin_size.width-5,4,_(" Cil.")),
 			newtLabel(mainwin_size.width-5,4,_(" Cil.")),
 			tam,	   newtLabel(mainwin_size.width-23,6,_("Size")),
-			newtLabel(mainwin_size.width-5,6,_(" Mb")),
+			newtLabel(mainwin_size.width-5,6,_(" MB")),
 			fs,sel_fs,ok,cancel,sel_ptype,ptype,NULL);
 	strcpy(fs_type,"ext2");
 
@@ -248,9 +248,9 @@
 			switch (part_type){
 				case 'p': newtLabelSetText(ptype,_("Primary"));
 					  break;
-				case 'e': newtLabelSetText(ptype,_("Extend"));
+				case 'e': newtLabelSetText(ptype,_("Extended"));
 					  break;
-				case 'l': newtLabelSetText(ptype,_("Logic"));
+				case 'l': newtLabelSetText(ptype,_("Logical"));
 					  break;
 			}
 		}
@@ -290,7 +290,7 @@
 			if(!check_strech(dev,tramo)){
 				ped_exception_throw(PED_EXCEPTION_ERROR,
 						PED_EXCEPTION_OK,
-						_("Out limits"));
+						_("Out of limits"));
 				ped_exception_catch();
 				
 				newtEntrySet(fin,"",1);
@@ -301,13 +301,13 @@
 			if (part_type=='e'&& newtCheckboxGetValue(dofs)=='*'){
 					ped_exception_throw(PED_EXCEPTION_ERROR,
 							PED_EXCEPTION_OK,
-							_("I can't do filesystem on a extended partition"));
+							_("A filesystem can't be created on an extended partition"));
 				ped_exception_catch();
 				continue;
 			}
 
 			/* Pedimos confirmacion*/
-			sprintf(ptrb,_("Are you sure create in %s a %c partition of type %s from %Ld to %Ld?")
+			sprintf(ptrb,_("Are you sure you want to create in %s a %c partition of type %s from %Ld to %Ld?")
 					,dev->path,part_type,fs_type,tramo->start, tramo->end);
 			if(ped_exception_throw(PED_EXCEPTION_INFORMATION,
 					PED_EXCEPTION_YES|PED_EXCEPTION_NO,
@@ -360,7 +360,7 @@
 				if(!check_strech(dev,tramo)){
 					ped_exception_throw(PED_EXCEPTION_ERROR,
 							PED_EXCEPTION_OK,
-							_("Out limits"));
+							_("Out of limits"));
 					ped_exception_catch();
 					newtEntrySet(fin,"",1);
 					newtEntrySet(inicio,"",1);
@@ -386,7 +386,7 @@
 				if(!check_strech(dev,tramo)){
 					ped_exception_throw(PED_EXCEPTION_ERROR,
 							PED_EXCEPTION_OK,
-							_("Out limits"));
+							_("Out of limits"));
 					ped_exception_catch();
 					newtEntrySet(fin,"",1);
 					newtEntrySet(inicio,"",1);
--- ./edit_partition.c.00	2000-11-14 03:56:34.000000000 -0800
+++ ./edit_partition.c	2006-08-15 14:27:11.000000000 -0700
@@ -31,9 +31,9 @@
  * valga la redundancia */
 typedef struct _edit edit;
 struct _edit{
-	newtComponent form,ok,cancel,grow,max,now,start,end,tamano,
-		start_now, start_min, end_now, end_max, tamano_now,
-		tamano_max, new,start_new,end_new,tamano_new,
+	newtComponent form,ok,cancel,grow,max,now,start,end,size,
+		start_now, start_min, end_now, end_max, size_now,
+		size_max, new,start_new,end_new,size_new,
 		sel_file_system, file_system,progress;
 	struct newtExitStruct toexit;
 };
@@ -45,31 +45,31 @@
 
 	form->start=		newtLabel( 1, 3,_("Start")  );
 	form->end=		newtLabel( 1, 5,_("End")    );
-	form->tamano=		newtLabel( 1, 7,_("Tamano") );
+	form->size=		newtLabel( 1, 7,_("Size") );
 
 	form->now=		newtLabel(14, 1,_("Now")    );
 	form->start_now=	newtLabel(12, 3,"");
 	form->end_now=	newtLabel(12, 5,"");
-	form->tamano_now=	newtLabel(12, 7,"");
+	form->size_now=	newtLabel(12, 7,"");
 
 	form->max=		newtLabel(34, 1,_("Max."));
 	form->start_min=	newtLabel(32, 3,"");
 	form->end_max=	newtLabel(32, 5,"");
-	form->tamano_max=	newtLabel(32, 7,"");
+	form->size_max=	newtLabel(32, 7,"");
 
 	form->progress=	newtScale(2, 14, mainwin_size.width-5,100);
 
-	form->new=		newtLabel(52, 1,_("New geom"));
+	form->new=		newtLabel(52, 1,_("New geometry"));
 	form->start_new=	newtEntry(52, 3,NULL,10,NULL,NEWT_ENTRY_SCROLL
 				|NEWT_FLAG_RETURNEXIT);
 	form->end_new=	newtEntry(52, 5,NULL,10,NULL,NEWT_ENTRY_SCROLL
 				|NEWT_FLAG_RETURNEXIT);
 
-	form->tamano_new=	newtEntry(52, 7,NULL,10,NULL,NEWT_ENTRY_SCROLL
+	form->size_new=	newtEntry(52, 7,NULL,10,NULL,NEWT_ENTRY_SCROLL
 				|NEWT_FLAG_RETURNEXIT);
 
 
-	form->grow=newtCheckbox(5,10,_("Grow too much posibble"),' ',NULL,NULL);
+	form->grow=newtCheckbox(5,10,_("Grow as much as possible"),' ',NULL,NULL);
 	form->file_system=newtLabel(50,10,_("Without Filesystem"));
 	form->sel_file_system=newtButton(38,9,_("Select"));
 
@@ -79,9 +79,9 @@
 	newtFormAddComponents(form->form,
 		form->now,form->max,form->start,form->start_now,form->start_min,
 		form->end,form->end_now,form->end_max,
-		form->tamano,form->tamano_now,form->tamano_max,
+		form->size,form->size_now,form->size_max,
 		form->grow, form->ok,form->cancel,
-		form->new,form->start_new,form->end_new,form->tamano_new,
+		form->new,form->start_new,form->end_new,form->size_new,
 		form->sel_file_system,form->file_system,form->progress,NULL);
 	newtFormAddHotKey(form->form,NEWT_KEY_LEFT);
 	newtFormAddHotKey(form->form,NEWT_KEY_RIGHT);
@@ -133,7 +133,7 @@
 	if (disk->geom==NULL){
 		ped_exception_throw(PED_EXCEPTION_ERROR,
 			PED_EXCEPTION_OK,
-			_("I can't get de max partition's geometry"));
+			_("I can't get the max partition geometry"));
 		goto error_disk_close;
 	}
 
@@ -160,14 +160,14 @@
 	newtLabelSetText(form->end_now,ptrb);
 
 	sprintf(ptrb,"%d Mb", (int)SEC2MB((disk->part->geom.end-disk->part->geom.start+1)));
-	newtLabelSetText(form->tamano_now,ptrb);
+	newtLabelSetText(form->size_now,ptrb);
 
 	sprintf(ptrb,"%d",(int)SEC2CIL(disk->dev,disk->geom->start));
 	newtLabelSetText(form->start_min,ptrb);
 	sprintf(ptrb,"%d",(int)SEC2CIL(disk->dev,disk->geom->end));
 	newtLabelSetText(form->end_max,ptrb);
-	sprintf(ptrb,"%d Mb", (int)SEC2MB((disk->geom->end-disk->geom->start+1)));
-	newtLabelSetText(form->tamano_max,ptrb);
+	sprintf(ptrb,"%d MB", (int)SEC2MB((disk->geom->end-disk->geom->start+1)));
+	newtLabelSetText(form->size_max,ptrb);
 
 	newtScaleSet(form->progress,(100* (new_size->end))/disk->geom->end);
 	return 0;
@@ -208,13 +208,13 @@
 			sprintf(ptrb,"%d",(int)SEC2CIL(disk->dev,new_size.start));
 			newtEntrySet(form->start_new,ptrb,1);
 			sprintf(ptrb,"%d", (int)SEC2MB( (new_size.end- new_size.start)));
-			newtEntrySet(form->tamano_new,ptrb,1);
+			newtEntrySet(form->size_new,ptrb,1);
 		}
 		if(answer==form->sel_file_system){
 			char *aux;
 			if(ped_exception_throw(PED_EXCEPTION_INFORMATION,
 				PED_EXCEPTION_OK|PED_EXCEPTION_CANCEL,
-				_("Change the file system will destroy any data")
+				_("Changing the file system will destroy any data")
 				)==PED_EXCEPTION_OK){
 				aux=select_file_system();	
 				if(aux!=NULL){
@@ -236,20 +236,20 @@
                                 ped_exception_catch();
 				newtEntrySet(form->end_new,"",1);
 				newtEntrySet(form->start_new,"",1);
-				newtEntrySet(form->tamano_new,"",1);
+				newtEntrySet(form->size_new,"",1);
 			}else{
 				new_size.start=CIL2SEC(disk->dev,new_size.start);
 				if(new_size.start<64) new_size.start=64;
 				new_size.end=CIL2SEC(disk->dev,new_size.end+1)-1;
 				sprintf(ptrb,"%d", (int)SEC2MB( (new_size.end-
 							    new_size.start)));
-				newtEntrySet(form->tamano_new,ptrb,1);
+				newtEntrySet(form->size_new,ptrb,1);
 			}
 		}
-		if (answer==form->tamano_new){
+		if (answer==form->size_new){
 			change_geom=1;
 			new_size.start=is_sector_valid(newtEntryGetValue(form->start_new));
-			tam=is_sector_valid(newtEntryGetValue(form->tamano_new));
+			tam=is_sector_valid(newtEntryGetValue(form->size_new));
 			if(new_size.start==-1||tam==-1){
                                 ped_exception_throw(PED_EXCEPTION_ERROR,
                                               PED_EXCEPTION_OK,
@@ -272,7 +272,7 @@
 			}
 			if(ped_exception_throw(PED_EXCEPTION_INFORMATION,
 				PED_EXCEPTION_OK|PED_EXCEPTION_CANCEL,
-				_("Are you soure?")
+				_("Are you sure?")
 				)==PED_EXCEPTION_OK)
 				if(change_geom){
 					do_resize(&(disk->dev),npart,new_size.start,new_size.end);
@@ -290,7 +290,7 @@
 			sprintf(ptrb,"%d",(int)SEC2CIL(disk->dev,new_size.start));
 			newtEntrySet(form->start_new,ptrb,1);
 			sprintf(ptrb,"%d", (int)SEC2MB( (new_size.end- new_size.start)));
-			newtEntrySet(form->tamano_new,ptrb,1);
+			newtEntrySet(form->size_new,ptrb,1);
 
 
 		}if(key==NEWT_KEY_PGUP){
@@ -301,7 +301,7 @@
 			sprintf(ptrb,"%d",(int)SEC2CIL(disk->dev,new_size.start));
 			newtEntrySet(form->start_new,ptrb,1);
 			sprintf(ptrb,"%d", (int)SEC2MB( (new_size.end- new_size.start)));
-			newtEntrySet(form->tamano_new,ptrb,1);
+			newtEntrySet(form->size_new,ptrb,1);
 
 		}if(key==NEWT_KEY_LEFT){
 			new_size.end-=50;
@@ -311,7 +311,7 @@
 			sprintf(ptrb,"%d",(int)SEC2CIL(disk->dev,new_size.start));
 			newtEntrySet(form->start_new,ptrb,1);
 			sprintf(ptrb,"%d", (int)SEC2MB( (new_size.end- new_size.start)));
-			newtEntrySet(form->tamano_new,ptrb,1);
+			newtEntrySet(form->size_new,ptrb,1);
 
 		}if(key==NEWT_KEY_RIGHT){
 			new_size.end+=50;
@@ -321,7 +321,7 @@
 			sprintf(ptrb,"%d",(int)SEC2CIL(disk->dev,new_size.start));
 			newtEntrySet(form->start_new,ptrb,1);
 			sprintf(ptrb,"%d", (int)SEC2MB( (new_size.end- new_size.start)));
-			newtEntrySet(form->tamano_new,ptrb,1);
+			newtEntrySet(form->size_new,ptrb,1);
 
 		}
 		newtScaleSet(form->progress,(100*new_size.end)/disk->geom->end );
--- ./exception_manager.c.00	2000-11-14 03:57:44.000000000 -0800
+++ ./exception_manager.c	2006-08-15 14:15:04.000000000 -0700
@@ -31,13 +31,13 @@
 #undef _(A)
 #define _(A) (A)
 static char *names_exception_types[]={
-	_("You don't have seen this,report me"),
+	_("You haven't seen this, report me"),
 	_("Information message"),
 	_("!!!----WARNING----!!!"),
 	_("!!!----ERROR----!!!"),
 	_("!!!----FATAL ERROR ----!!!"),
-	_("You has found a bug, please report me"),
-	_("Feature yet implemented"),
+	_("You have found a bug, please report me"),
+	_("Feature not yet implemented"),
 };
 static button_option options[]={
 	{1,   	{_("FIX"),} ,			{PED_EXCEPTION_FIX,},{}			},
@@ -62,7 +62,7 @@
 	int i,x,y, size_button;
 	
 	if (message==NULL){
-		text=newtTextboxReflowed(1,1,"Has encontrado un bug",54,5,5,0);
+		text=newtTextboxReflowed(1,1,"You've found a bug",54,5,5,0);
 	}else{
 		text=newtTextboxReflowed(1,1,message,54,5,5,0);
 	}
